Subject: Re: Emacs crashes with adding space character

From: Ranjan Maitra <[email-masked]>
Date: Sun, 16 Apr 2017 08:44:00 -0500

Thanks!

On Sat, 15 Apr 2017 22:43:19 -0700 Paul Eggert <[email-masked]> wrote:

> I can reproduce the problem on Fedora 25 x86-64, using "LC_ALL=C /usr/bin/emacs 
> -Q" (this is the bundled Emacs, Emacs 25.1), by going to the first '"' in the 
> file, inserting "xxxxx" before it by typing "x" five times, and then typing 
> Backspace five times. The problem is intermittent.

Yes, indeed, this among other things does it.

> I cannot reproduce the problem on the same platform by running the latest Emacs 
> 25 built from git (this is commit bc55a5742352f14b1ff3c50d19b5d00f087bd466 dated 
> 2017-04-12). So I am hoping that the bug is fixed and that the fix will appear 
> in the next release. If possible, it'd be nice if you tried the latest Emacs 25 too.
> 

I will try it with the git version. Is that the latest developmental release? 

With regard to the questions by Paul (thank you very much also!), it was not clear to me (sorry) how to include the bug report from within emacs given that the program itself had crashed. So, I just tried to follow the instructions. 

> Not reproducible here.
>
> Could this be bug#24358 again?  When was your Emacs built?  (You didn't use "M-x report-emacs-bug", so this information is absent from your report.)

Not sure if it is bug#24358.

I tried it on both the stable version released by Fedora 25 and also the version I got from the downloads part of the emacs site.

According to the unpacked tar, the last date of release was September 16, 2016.

I used ./configure and make (which is the same as make all) without any additional non-default options.

> From: Paul Eggert <[email-masked]>
> Date: Sat, 15 Apr 2017 22:43:19 -0700
> Cc: [email-masked]
> 
> I can reproduce the problem on Fedora 25 x86-64, using "LC_ALL=C /usr/bin/emacs 
> -Q" (this is the bundled Emacs, Emacs 25.1)

> Was this built with ralloc.c?  The symptoms (pointers to buffer text are garbled) sound similar to problems we had before we stopped using
ralloc.c.

How do I figure this out? 

When I compiled it, I did not use any options in the configuration (because I wanted everything as vanilla as possible). I will look into the Fedora spec file and see if i can find this.

Thanks a bundle again to Paul and Eli for helping out!

Best wishes,
Ranjan

PS: I was able to compile the git version and at least now, I could not replicate the bug on this little file using the newly-compiled emacs. This has been a very frustrating and hard to figure out for me because some files would just dump core and I could not tell what the problem was.

Well, at least, there may be a fix in the works.

Is there a date for the release of a new version? I hope that it is soon. It certainly is an important show-stopper for me, and I doubt Fedora will allow for a developmental version in their updates.

Thank you again!!

Best wishes,
Ranjan

-- 
Ranjan Maitra <[email-masked]>